Subject: [MMUSIC] RID open issue #5: max-fps

From: Adam Roach <[email-masked]>
Date: Fri, 11 Mar 2016 12:06:18 -0600

I'm putting up the open issues in the RID draft that haven't had dedicated threads yet for a final round of discussion.

For this one, see https://tools.ietf.org/html/draft-ietf-mmusic-rid-04#section-5

    Comment from Stephan Wenger: Would it be better to define max-fps as
    constraining the average over a second rather than the inverse of the
    smallest allowed interval between frames?

    PROPOSAL: Keep as currently defined.  The difference is subtle.  The
    only kinds of cases allowed by an average that aren't allowed by a
    minimum interframe interval are those such as sending no packets for
    most of a second, followed by a burst of 30 frames 1 ms apart, as
    part of a stream constrained to 30 fps.  Such cases seem undesirable.

If you disagree with the proposal, please send email in the next few days with an alternate proposal.

Thanks!

/a

---

From: Martin Thomson <[email-masked]>
Date: Mon, 14 Mar 2016 16:36:17 +1100

>    part of a stream constrained to 30 fps.  Such cases seem undesirable.

I agree with this.  Note also that if this is a constraint imposed by
a decoder that can only render at 33ms intervals (maybe because it
just takes that long), the latter example will cause bad things to
happen.